WordPress.org

Ready to get started?Download WordPress

Plugin Directory

OpenSpending

Create beautiful visualisations with data on OpenSpending.org using a simple, elegant user interface made available in the WordPress editor.

Can I change the default configurations?

The WordPress plugin focuses more on simplicity of use than feature completeness. If you are interested in more configurations, please consider using the OpenSpending visualisation library directly (the plugin creates a clean user interface on top of that library).

The bubbletree visualisation doesn't work

Unfortunately, in the current implementation of the bubbletree visualisation there are a few errors. One is the assumption that it is impossible to drill down (click on) bubbles with only a single child (irrespective of if that child has more children). Another is the assumption that all children will have at least two other sibling bubbles. The third, and possibly the biggest problem is that because the bubbletree works via the URL more than one bubbletree per page is not possible.

How do I get the cool OpenSpending icons?

For both the bubbletree and the bar charts, the OpenSpending icons are automatically loaded for dimensions defining COFOG classifications. Simply choose the COFOG dimensions as the drilldowns.

Can I create time series?

Yes! You could for example use the bar chart and just choose your time dimension. Note that this will write out the full date. If you want to for example only show the time as the year, you would have to change the drilldown dimension in the generated shortcode from time to year.

Aren't the historical amounts wrong because of inflation?

Not necessarily. The plugin tries to do automatic inflation adjustment based on consumer price index data available for last year. If it cannot find the needed data then it doesn't do the adjustments and falls back to historical values.

Requires: 3.0.1 or higher
Compatible up to: 3.8.3
Last Updated: 2014-1-8
Downloads: 145

Ratings

0 stars
0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1